unit Component;

{
Programmfunktion:
           Eigene Komponente für Lazarus-Programmierung
Hersteller:
           LinSoft Jürgen linder (juelin) dg5uap@darc.de
Lizens:
           privat
Hardware:
           keine zusätzliche Hardware
Software:
           Folgende Files
           MyComponent.exe, MyComponent.ico, MyComponent.lpi, MyComponent.lpr, MyComponent.lps, MyComponent.res, component.lfm, component.pas, score.pas müssen im Soucepfad vorhanden sein

wie Compelieren:
           Lazarus IDE mit FPC
wie Ausführen:
           Ausführen MyComponent.exe (Icon)
}

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics,
  Dialogs, StdCtrls, ExtCtrls, Score;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TScore;
    Score1: TScore;
    Timer1: TTimer;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure LabelClick(Sender: TObject);
    procedure LabelChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;
  Wertalt: integer;                                                             // alter Wert von Erhöhung des Score

implementation

{$R *.lfm}

{
  Procedure FormClose
      initialisiert Variable,
      setzt Ein- und Ausgabefelder von Form1
      und startet die Verbindung zur Datenbank.
  Eingabefelder = keine
  Ausgabefelder = keine
}
procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Label2.Destroy;
  CloseAction:=caFree;
end;

{
  Procedure FormCreate
      initialisiert Variable,
      erstellen und laden Ereignisse, Label leeren
      und startet den Timer.
  Eingabefelder = keine
  Ausgabefelder = keine
}
procedure TForm1.FormCreate(Sender: TObject);
begin
  Label2:=TScore.Create(Form1, Form1, 'Tom');                                   // erstellen TScore als Label2
  Label2.OnClick:=@LabelClick;                                                  // setzen Ereignis OnClick mit Procedure LabelClick
  Label2.OnChange:=@LabelChange;                                                // setzen Ereignis OnChange mit Procedure LabelChange
  Label1.Caption:='';
  Label2.Caption:='';
  Wertalt:=0;
  Timer1.Enabled:=True;
end;

{
  Procedure LabelClick
      Ereigniss LabelClick zeigt Werte an.
  Eingabefelder = keine
  Ausgabefelder = keine
}
procedure TForm1.LabelClick(Sender: TObject);
begin
  Label2.Caption:=Label2.getName+' hat '+IntToStr(Label2.getStand)+' Punkte';
end;

{
  Procedure LabelChange
      Ereigniss LabelChange zeigt Werte an.
  Eingabefelder = keine
  Ausgabefelder = keine
}
procedure TForm1.LabelChange(Sender: TObject);
begin
  Label1.Caption:='Score geändert '+IntToStr(Label2.getStand);
end;

{
  Procedure Timer1Timer
      erhöht den Score in TScore abwechselnd
      mit 0 und 100.
  Eingabefelder = keine
  Ausgabefelder = keine
}
procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled:=False;
  Label1.Caption:='';
  if Wertalt = 0 then
  begin
    Label2.erhoehen(100);
    Wertalt:=100;
  end else begin
    Label2.erhoehen(0);
    Wertalt:=0;
  end;
  Timer1.Enabled:=True;
end;

end.

